#!/bin/sh
#SRC=../../../releases/1.2/r/plugins
SRC=../../builds/development/nightly
if [ ! -d $SRC ]; then echo "ERROR - SRC missing"; exit 1; fi
if [ ! -f ../republish.sh ]; then echo "ERROR - republish.sh missing"; exit 1; fi
if [ ! -f category.xml ]; then echo "ERROR - category.xml missing"; exit 1; fi

SUBSET="
org.eclipse.tcf.te.core.terminals
org.eclipse.tcf.te.ui.terminals
org.eclipse.tcf.te.ui.terminals.local
org.eclipse.tcf.te.ui.terminals.process
org.eclipse.tcf.te.ui.terminals.rse
org.eclipse.tcf.te.ui.terminals.serial
org.eclipse.tcf.te.ui.terminals.ssh
org.eclipse.tcf.te.ui.terminals.telnet"

FEATURES="
org.eclipse.tcf.te.terminals.feature
org.eclipse.tcf.te.terminals.rse.feature
org.eclipse.tcf.te.terminals.rse.sdk.feature
org.eclipse.tcf.te.terminals.sdk.feature
"

if [ ! -d plugins ]; then
  mkdir plugins
fi
if [ ! -d features ]; then
  mkdir features
fi

for bundle in $SUBSET ; do
  rm plugins/${bundle}_*.jar*
  rm plugins/${bundle}.source_*.jar*
  cp -p ${SRC}/plugins/${bundle}_*.jar* plugins/
  cp -p ${SRC}/plugins/${bundle}.source_*.jar* plugins/
done
for feature in $FEATURES ; do
  rm features/${feature}_*.jar*
  cp -p ${SRC}/features/${feature}_*.jar* features/
done
../republish.sh
